Subject: Re: bug#56421: [PATCH] Make mouse-2 respect delete-selection mode

From: Stefan Kangas <[email-masked]>
Date: Thu, 7 Jul 2022 03:17:16 +0200

Po Lu <[email-masked]> writes:

> Having Button2 replace the region is not the right thing on X, which is
> actually to deactivate the mark upon losing ownership of the primary
> selection.  So what you talk about cannot happen in other X programs
> (Emacs is the odd one out here.)

Are you saying that Emacs currently behaves differently from other
programs on X in this regard?